update_dialog(3)

NAME
update_dialog - Low level function to update a dialog player. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int update_dialog(DIALOG_PLAYER *player);

DESCRIPTION
Updates the status of a dialog object returned by init_dialog(). Returns TRUE if the dialog is still active, or FALSE if it has terminated. Upon a return value of FALSE, it is up to you whether to call shutdown_dialog() or to continue execution. The object that requested the exit can be determined from the player->obj field.

SEE ALSO
init_dialog(3)